package com.ruoyi.liandao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 导游信息配置
 * @TableName ld_tour_guide_info
 */
@TableName(value ="ld_tour_guide_info")
@Data
public class TourGuideInfo extends BaseEntity implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 姓名
     */
    @TableField(value = "name")
    private String name;

    /**
     * 照片
     */
    @TableField(value = "photo")
    private String photo;

    /**
     * 电话
     */
    @TableField(value = "phone")
    private String phone;

    /**
     * 描述
     */
    @TableField(value = "description")
    private String description;

    /**
     * 级别
     */
    @TableField(value = "level")
    private String level;

    /**
     * 语言
     */
    @TableField(value = "language")
    private String language;

    /**
     * 费用
     */
    @TableField(value = "cost")
    private String cost;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
