package com.ruoyi.liandao.service;

import com.ruoyi.liandao.domain.QuestionnaireConfig;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.liandao.dto.questionnaire.QuestionnaireConfigAddReqDto;
import com.ruoyi.liandao.dto.questionnaire.QuestionnaireConfigEditReqDto;
import com.ruoyi.liandao.dto.questionnaire.QuestionnaireDto;

import java.util.List;

/**
* @author admin
* @description 针对表【ld_questionnaire_config(问卷配置)】的数据库操作Service
* @createDate 2024-03-14 10:51:09
*/
public interface QuestionnaireConfigService extends IService<QuestionnaireConfig> {

    /**
     * 新增
     * @param dto
     */
    void add(QuestionnaireConfigAddReqDto dto);

    /**
     * 修改
     * @param dto
     */
    void edit(QuestionnaireConfigEditReqDto dto);

    /**
     * 根据id获取详情
     * @param id
     * @return
     */
    QuestionnaireDto detail(Long id);

    /**
     * 获取问卷
     * @return
     */
    List<QuestionnaireDto> getQuestionnaire();
}
