package com.ruoyi.liandao.service;

import com.ruoyi.liandao.domain.QuestionnaireOption;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author admin
* @description 针对表【ld_questionnaire_option(问卷选项)】的数据库操作Service
* @createDate 2024-03-14 10:51:09
*/
public interface QuestionnaireOptionService extends IService<QuestionnaireOption> {

    /**
     * 保存问卷选项
     * @param configId
     * @param optionList
     */
    void saveOptionList(Long configId, List<String> optionList);

    /**
     * 根据配置id获取选项
     * @param configId
     * @return
     */
    List<String> selectByConfigId(Long configId);
}
