package com.ruoyi.liandao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 文章类型配置
 * @TableName ld_article_type
 */
@TableName(value ="ld_article_type")
@Data
public class ArticleType extends BaseEntity implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 父id
     */
    @TableField(value = "parent_id")
    private Long parentId;

    /**
     * 名称
     */
    @TableField(value = "name")
    private String name;

    /**
     * 显示顺序
     */
    @TableField(value = "order_num")
    private Integer orderNum;



    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
