package com.ruoyi.liandao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 投诉建议表
 * @TableName ld_complaint_suggestions
 */
@TableName(value ="ld_complaint_suggestions")
@Data
public class ComplaintSuggestions extends BaseEntity implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 联系电话
     */
    @TableField(value = "phone")
    private String phone;

    /**
     * 内容
     */
    @TableField(value = "content")
    private String content;

    /**
     * 联系人
     */
    @TableField(value = "username")
    private String username;

    /**
     * 类型
     */
    @TableField(value = "type")
    private String type;

    /**
     * 上传附件
     */
    @TableField(value = "file")
    private String file;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
