package com.ruoyi.liandao.dto.articleContent;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.utils.DateUtils;
import lombok.Data;

import java.util.Date;

/**
 * @Author : chenzhengyu
 * @create 2024/3/15 10:16
 */
@Data
public class ArticleContentAddReqDto {

    /**
     * 文章类型id
     */
    private Long articleTypeId;

    /**
     * 标题
     */
    private String tittle;

    /**
     * 作者
     */
    private String author;

    /**
     * 显示图片
     */
    private String img;

    /**
     * 摘要
     */
    private String excerpt;

    /**
     * 文章内容
     */
    private String content;

    /**
     * 活动时间范围
     */
    private String activityTimeRange;

    /**
     * 活动时间
     */
    private Date activityTime;

    /**
     * 活动地点
     */
    private String activityLocation;

    /**
     * 语言
     */
    private String language;

    /**
     * 文本类型 文本、富文本
     */
    private String textType;
}
