package com.ruoyi.liandao.dto.questionnaire;

import cn.hutool.json.JSONObject;
import lombok.Data;

import java.util.List;

/**
 * @Author : chenzhengyu
 * @create 2024/3/19 9:24
 */
@Data
public class QuestionnaireConfigAddReqDto {

    /**
     * 问题
     */
    private String question;

    /**
     * 类型 单选、地点、打分、文本、富文本、日期
     */
    private String type;

    /**
     * 是否必填
     */
    private Boolean isRequired;

    /**
     * 显示顺序
     */
    private Integer orderNum;

    /**
     * 选项集合
     */
    private List<JSONObject> optionList;

}
