package com.ruoyi.liandao.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ruoyi.liandao.domain.TourGuideAppointment;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.liandao.dto.tourGuide.TourGuideAppointmentAddReqDto;
import com.ruoyi.liandao.dto.tourGuide.TourGuidePageReqDto;

/**
* @author admin
* @description 针对表【ld_tour_guide_appointment(导游预约)】的数据库操作Service
* @createDate 2024-03-14 10:51:09
*/
public interface TourGuideAppointmentService extends IService<TourGuideAppointment> {

    /**
     * 导游预约分页查询
     * @param dto
     * @return
     */
    IPage<TourGuideAppointment> getPage(TourGuidePageReqDto dto);

    /**
     * 导游预约新增
     * @param dto
     */
    void add(TourGuideAppointmentAddReqDto dto);
}
